Subject: bug#71712: 29.3; Crash on OpenBSD

From: Kirill A. Korinsky <[email-masked]>
Date: Thu, 27 Jun 2024 12:44:44 +0100

On Thu, 27 Jun 2024 06:33:51 +0100,
Eli Zaretskii <[email-masked]> wrote:
> 
> > I tried to attach GDB to running process, or start a new emacs under GDB.
> > 
> > Both attemt leads to massive amount of SIGSTOP signals
> 
> ??? Which software on your system issues SIGSTOPs?  And on what
> occasions?  And why?
> 
> FWIW, I'm running Emacs under GDB a lot (albeit not on OpenBSD), and I
> never see any SIGSTOP, unless I manually issue "kill -STOP" from the
> shell prompt, or something similar.
>
> > and if I switch handler to nostop, I stop to get it, but resulted
> > emacs is unresponsible.
> 
> Please show the GDB command you typed to change the handling of
> SIGSTOP.
> 

I was able to achive kernel panic, and in general gdb with emacs seems
broken. It was confirmed on OpenBSD side: https://marc.info/?l=openbsd-bugs&m=171948527801829&w=2

So, I run it with better core dump as the only option that I have.

-- 
wbr, Kirill